Bug 460297 - Review Request: apricots - 2D air combat game
Review Request: apricots - 2D air combat game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Neil Horman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-27 09:15 EDT by Gwyn Ciesla
Modified: 2008-09-11 12:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-11 12:54:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nhorman: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Gwyn Ciesla 2008-08-27 09:15:43 EDT
It's a game where you fly a little plane around the screen and
shoot things and drop bombs on enemy targets, and it's meant to be quick 
and fun.

SPEC URL: http://zanoni.jcomserv.net/fedora/apricots/apricots.spec
SRPM URL: http://zanoni.jcomserv.net/fedora/apricots/apricots-0.2.6-1.fc9.src.rpm
Comment 1 Neil Horman 2008-09-09 14:25:38 EDT
1) rpmlint must be run on every package. The output should be posted in the review.
PASS:
[nhorman@hmsreliant Desktop]$ rpmlint -v ./apricots-0.2.6-1.fc9.src.rpm 
apricots.src: I: checking
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



2) The package must be named according to the  Package Naming Guidelines 
PASS

3) The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption
PASS

4) The package must meet the  Packaging Guidelines
PASS

5) The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines
PASS (althought its noted that the sources contain the GPLv2 license, but the website claims distribution under the GPL).  Don't think the website language really matters though, given that the source is distributed with v2 and that matches the spec file

6)The License field in the package spec file must match the actual license
PASS

7)If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc
PASS (COPYING listed as %doc)

8) The spec file must be written in American English
PASS


9) The spec file for the package MUST be legible
PASS

10) he sources used to build the package must match the upstream source
FAIL
md5sum ~/rpmbuild/SOURCES/apricots-0.2.6.tar.gz 
e185753be2a35a5743a5f26c6444aee6  /home/nhorman/rpmbuild/SOURCES/apricots-0.2.6.tar.gz

from  http://www.fishies.org.uk/apricots-0.2.6.tar.gz
md5sum apricots-0.2.6.tar.gz
910828d717e46d8cbd9c24f702d09fbc  apricots-0.2.6.tar.gz
Can you look into the discrepany there please?  I'll continue reviewing as soon as we figure out whats going on here.
Comment 2 Gwyn Ciesla 2008-09-09 14:35:49 EDT
SPEC URL: http://zanoni.jcomserv.net/fedora/apricots/apricots.spec
SRPM URL:
http://zanoni.jcomserv.net/fedora/apricots/apricots-0.2.6-2.fc9.src.rpm

Very queer.  I must have inadvertently re-tarred an unmodified source distribution, because I can't find any differences.  It would change the md5sum, though.

These fix it.
Comment 3 Neil Horman 2008-09-09 15:56:36 EDT
Ok 10 is now a PASS

11) Package must build on 1 supported arch
PASS

12) If the package does not successfully compile,...
N/A

13) All build dependencies must be listed
PASS

14) The spec file MUST handle locales properly
No local files defined, N/A

15) Every binary RPM package which stores shared library files
N/A no DSO's

16) If the package is designed to be relocatable
N/A Not relocatable

17) A package must own all directories that it creates
PASS

18) A package must not contain any duplicate files in the %files listing.
PASS

19) ermissions on files must be set properly.
PASS

20) Each package must have a %clean section

21) Each package must consistently use macros
PASS


22) The package must contain code, or permissable content
PASS

23) Large documentation files should go in a -doc subpackage
N/A no large docs

24) f a package includes something as %doc, it must not affect the runtime of the application
PASS

25) Header files must be in a -devel package
N/A no devel pkg

26) Static libraries must be in a -static package.
N/A no static libs

27) Packages containing pkgconfig(.pc) files
N/A

28) If a package contains library files
N/A

29) In the vast majority of cases, devel packages 
N/A

30) n the vast majority of cases, devel packages 
N/A

31) Packages must NOT contain any .la libtool
N/A

32) Packages containing GUI applications must include a %{name}.desktop file
PASS

33) Packages must not own files or directories already owned by other packages
PASS

34) At the beginning of %install, each package MUST run rm -rf %{buildroot}
PASS

35) All filenames in rpm packages must be valid UTF-8.
PASS

PAckage is good to go!
Comment 4 Gwyn Ciesla 2008-09-09 16:04:00 EDT
Many thanks!

New Package CVS Request
=======================
Package Name: apricots
Short Description: 2D air combat game
Owners: limb
Branches: F-9
InitialCC:
Comment 5 Kevin Fenzi 2008-09-09 21:07:13 EDT
cvs done.
Comment 6 Fedora Update System 2008-09-10 09:11:32 EDT
apricots-0.2.6-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/apricots-0.2.6-2.fc9
Comment 7 Fedora Update System 2008-09-11 12:54:48 EDT
apricots-0.2.6-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.